package im.zhaojun.system.mapper;

import im.zhaojun.system.model.Code;
import im.zhaojun.system.model.VideoeRecordType;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CodeMapper {
    List<Code> selectAllWithKey();

    int updatecode(@Param(value = "list") List<Code> code);
    int addcode(@Param(value = "list") List<Code> code);

    int updatetime(@Param(value = "list") List<Code> code);

    List<Code> selectAllWithType(String typeid);

    int  updateNameByCodeID(String codeid,String envalue);

    int updatemanualcode(String name,String alarmlevel);

    Code selectalarmNum (String keyid);

    int addvideoeRecordType(VideoeRecordType videoeRecordType);
    int selectvideoeRecordType(VideoeRecordType videoeRecordType);

}